SimpleAlignmentElement (BioJava-1.5-beta API)
Keywords: org.biojava.bio.alignment.SimpleAlignmentElement class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.alignment
Class SimpleAlignmentElement

    java.lang.Object
      org.biojava.bio.alignment.SimpleAlignmentElement

All Implemented Interfaces:
  AlignmentElement

    public class SimpleAlignmentElement

extends Object
implements AlignmentElement

SimpleSimpleAlignment is a simple implementation of AlignmentElement.

Author:
  David Waring

Field Summary
`protected Object` | `label`
`protected Location` | `loc`
`protected SymbolList` | `seq`

Constructor Summary
`SimpleAlignmentElement(Object label, SymbolList seq, Location loc)`

Method Summary
`Object` | `getLabel()`
`Location` | `getLoc()`
`SymbolList` | `getSymbolList()`
`void` | `setLoc(Location nLoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    protected Object label

### loc

    protected Location loc

### seq

    protected SymbolList seq

Constructor Detail

### SimpleAlignmentElement

    public SimpleAlignmentElement(Object label,
                                  SymbolList seq,
                                  Location loc)
                           throws BioException

Throws:
  `BioException`

Method Detail

### getLabel

    public Object getLabel()

  Specified by:
    `getLabel` in interface `AlignmentElement`

### getLoc

    public Location getLoc()

  Specified by:
    `getLoc` in interface `AlignmentElement`

### getSymbolList

    public SymbolList getSymbolList()

  Specified by:
    `getSymbolList` in interface `AlignmentElement`

### setLoc

    public void setLoc(Location nLoc)
                throws BioError

  Specified by:
    `setLoc` in interface `AlignmentElement`
  Throws:
    `BioError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD